BizKitHub
DocsAPI ReferenceLedger/bff/ledger/stock/items
getLedgerAdmin BFF

/bff/ledger/stock/items

Stock cards with quantity and value as of a date

LedgergetBffLedgerStockItems

Parameters

11 query

Query parameters

· 11
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
asOfstringOptional
Example2026-11-04
warehouseIdstringOptional
Length: 16–24
Exampleexample_warehouseId
searchstringOptional
Length: 0–100
Exampleexample_search
filterFulltextQuerystringOptional

DataGrid fulltext (same as search).

Length: 0–100
Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
onlyInStockstringOptional
Exampleexample_onlyInStock
includeInactivestringOptional
Exampleexample_includeInactive
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit
offsetstringOptional
Exampleexample_offset

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/stock/items

get
curl -X GET "https://api.bizkithub.com/bff/ledger/stock/items?entityId=example_entityId&asOf=2026-11-04&warehouseId=example_warehouseId&search=example_search&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&onlyInStock=example_onlyInStock&includeInactive=example_includeInactive&page=example_page&limit=example_limit&offset=example_offset" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key